:root {
  --clr-primary-400: hsl(31, 77%, 52%);
  --clr-primary-500: hsl(184, 100%, 22%);
  --clr-primary-600: hsl(179, 100%, 13%);

  --clr-neutral-100: hsla(0, 0%, 100%, 0.75);
  --clr-neutral-300: hsl(0, 0%, 95%);

  --ff-base: "Lexend Deca", sans-serif;
  --ff-accent: "Big Shoulders Display", cursive;

  --fs-body: 0.9375rem;

  --fw-regular: 400;
  --fw-bold: 700;
}
/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}
body {
  font-size: var(--fs-body);
  font-family: var(--ff-base);
  color: var(--clr-neutral-300);
  background-color: var(--clr-neutral-100);
  min-height: 100vh;
  display: grid;
  place-content: center;
}
h1 {
  font-family: var(--ff-accent);
  font-weight: var(--fw-bold);
  font-size: 2rem;
  text-transform: uppercase;
}
p {
  color: var(--clr-neutral-100);
}
/* button */
.button {
  cursor: pointer;
  text-decoration: none;
  display: inline-flex;
  gap: 0.75rem;
  justify-content: center;
  align-items: center;
  width: fit-content;
  border: 0;
  border-radius: 3.125em;
  padding: 0.9em 2em;
  background-color: var(--clr-neutral-300);
  font-size: 0.9rem;
  border: 2px solid var(--clr-neutral-100);
}
.button[data-color="orange"] {
  color: var(--clr-primary-400);
}
.button[data-color="cyan"] {
  color: var(--clr-primary-500);
}
.button[data-color="dark-cyan"] {
  color: var(--clr-primary-600);
}
.button:is(:hover, :focus) {
  background-color: transparent;
  color: var(--clr-neutral-100);
}
.wrapper {
  margin: 4rem 2rem;
  border-radius: 0.5rem;
  overflow: hidden;
}
@media (min-width: 56.25em) {
  .wrapper {
    display: flex;
    margin: 4rem 5rem;
  }
}
.card {
  padding: 3rem;
  display: grid;
  gap: 2rem;
}

.card[data-bg-color="bg-orange"] {
  background-color: var(--clr-primary-400);
}
.card[data-bg-color="bg-cyan"] {
  background-color: var(--clr-primary-500);
}
.card[data-bg-color="bg-dark-cyan"] {
  background-color: var(--clr-primary-600);
}
